<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:theme="@style/Base.Theme.SmartLab"
    tools:context=".AnaliseFragment">

    <!-- TODO: Update blank fragment layout -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="15dp"
        android:orientation="vertical">
        <android.widget.SearchView
            style="@style/search_view_usuallu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="top|center"
            android:background="@drawable/txtbox_bcgnd"
            android:iconifiedByDefault="false"
            android:queryBackground="@color/nocolor"
            android:queryHint="Искать анализы"
            android:searchIcon="@drawable/ic_search">

        </android.widget.SearchView>
        <ScrollView
            android:id="@+id/SV_analise"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="5dp"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/analise_txt_1"
                    style="@style/txt_othertext"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginVertical="10dp"
                    android:text="Акции и новости"
                    android:visibility="invisible"/>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/ViewNews"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="5dp"
                    android:orientation="horizontal"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/part_news" />

                <TextView
                    android:id="@+id/analise_txt_2"
                    style="@style/txt_othertext"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginVertical="20dp"
                    android:text="Каталог анализов"
                    android:visibility="invisible"/>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/ViewCategory"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="5dp"
                    android:orientation="horizontal"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/part_category" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/ViewAnalise"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginVertical="5dp"
                    tools:listitem="@layout/part_analise" />
            </LinearLayout>
        </ScrollView>
    </LinearLayout>

    <FrameLayout
        android:id="@+id/btn_analise_basket"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:layout_margin="15dp"
        android:background="@color/white"
        android:visibility="invisible">

        <FrameLayout

            style="@style/btn_usually"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"            >

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_margin="16dp"
                    android:src="@drawable/ic_basket" />

                <TextView
                    style="@style/btn_usually"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="В корзину" />
            </LinearLayout>

            <TextView
                android:id="@+id/btn_basket_price"
                style="@style/btn_usually"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="right|center_vertical"
                android:layout_marginHorizontal="16dp"
                android:text="Цена" />
        </FrameLayout>
    </FrameLayout>


</FrameLayout>